Package org.eclipse.graphiti.internal.features.context.impl.base

## Class AbstractClickContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.LocationContext
      - - org.eclipse.graphiti.features.context.impl.CustomContext
        - - org.eclipse.graphiti.internal.features.context.impl.base.AbstractClickContext

All Implemented Interfaces:
  `IContext`, `ICustomContext`, `ILocationContext`, `IPropertyBag`

Direct Known Subclasses:
  `DoubleClickContext`, `SingleClickContext`

    public class AbstractClickContext
    extends CustomContext

The Class AbstractClickContext.

### Constructor Summary

Constructors
`AbstractClickContext​(PictogramElement pictogramElement, PictogramElement innerPictogramElement, GraphicsAlgorithm innerGraphicsAlgorithm)` Instantiates a AbstractClickContext.

### Method Summary

### Methods inherited from class org.eclipse.graphiti.features.context.impl.CustomContext

`getInnerGraphicsAlgorithm, getInnerPictogramElement, getPictogramElements, setInnerGraphicsAlgorithm, setInnerPictogramElement, setPictogramElements, toString`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### AbstractClickContext

    public AbstractClickContext​(PictogramElement pictogramElement,
                                PictogramElement innerPictogramElement,
                                GraphicsAlgorithm innerGraphicsAlgorithm)

Instantiates a AbstractClickContext.

Parameters:
  `pictogramElement` - the pictogram element
  `innerPictogramElement` - the inner pictogram element
  `innerGraphicsAlgorithm` - the inner graphics algorithm